/*
    Copyright (C) 2020 Naval Alcalá

    This file is part of Nihonoari.

    Nihonoari is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    Nihonoari is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Nihonoari.  If not, see <https://www.gnu.org/licenses/>.
 */
class KanaList {
  static Map hiragana = {
    "あ い う え お" : [
      "あ",
      "い",
      "う",
      "え",
      "お"
    ],
    "か き く け こ" : [
    "か",
    "き",
    "く",
    "け",
    "こ",
    "が",
    "ぎ",
    "ぐ",
    "げ",
    "ご"
    ],
    "さ し す せ そ" : [
    "さ",
    "し",
    "す",
    "せ",
    "そ",
    "ざ",
    "じ",
    "ず",
    "ぜ",
    "ぞ"
    ],
    "た ち つ て と" : [
    "た",
    "ち",
    "つ",
    "て",
    "と",
    "だ",
    "ぢ",
    "づ",
    "で",
    "ど"
    ],
    "な に ぬ ね の" : [
    "な",
    "に",
    "ぬ",
    "ね",
    "の"
    ],
    "は ひ ふ へ ほ" : [
    "は",
    "ひ",
    "ふ",
    "へ",
    "ほ",
    "ば",
    "び",
    "ぶ",
    "べ",
    "ぼ",
    "ぱ",
    "ぴ",
    "ぷ",
    "ぺ",
    "ぽ"
    ],
    "ま み む め も": [
    "ま",
    "み",
    "む",
    "め",
    "も"
    ],
    "や ゆ よ" : [
    "や",
    "ゆ",
    "よ"
    ],
    "ら り る れ ろ" : [
    "ら",
    "り",
    "る",
    "れ",
    "ろ"
    ],
    "わ を" : [
    "わ",
    "を"
    ],
    "ん": ["ん"]
  };

static Map katakana = {
  "ア イ ウ エ オ" : [
    "ア",
    "イ",
    "ウ",
    "エ",
    "オ"
  ],
  "カ キ ク ケ コ" : [
    "カ",
    "キ",
    "ク",
    "ケ",
    "コ",
    "ガ",
    "ギ",
    "グ",
    "ゲ",
    "ゴ"
  ],
  "サ シ ス セ ソ" : [
    "サ",
    "シ",
    "ス",
    "セ",
    "ソ",
    "ザ",
    "ジ",
    "ズ",
    "ゼ",
    "ゾ"
  ],
  "タ チ ツ テ ト" : [
    "タ",
    "チ",
    "ツ",
    "テ",
    "ト",
    "ダ",
    "ヂ",
    "ヅ",
    "デ",
    "ド"
  ],
  "ナ ニ ヌ ネ ノ" : [
    "ナ",
    "ニ",
    "ヌ",
    "ネ",
    "ノ"
  ],
  "ハ ヒ フ ヘ ホ" : [
    "ハ",
    "ヒ",
    "フ",
    "ヘ",
    "ホ",
    "バ",
    "ビ",
    "ブ",
    "ベ",
    "ボ",
    "パ",
    "ピ",
    "プ",
    "ペ",
    "ポ"
  ],
  "マ ミ ム メ モ" : [
    "マ",
    "ミ",
    "ム",
    "メ",
    "モ"
  ],
  "ヤ ユ ヨ" : [
    "ヤ",
    "ユ",
    "ヨ"
  ],
  "ラ リ ル レ ロ" : [
    "ラ",
    "リ",
    "ル",
    "レ",
    "ロ"
  ],
  "ワ ヲ" : [
    "ワ",
    "ヲ"
  ],
  "ン" :  ["ン"]
};

}